This is an automated email from the git hooks/post-receive script.

nodens-guest pushed a commit to annotated tag OpenPGP_Applet-0.9
in repository openpgp-applet.

commit 871c7bfc33f3e3d3926675599f2ca33d25f10640
Author: Clément Hermann (nodens) <nod...@nodens.org>
Date:   Sun Nov 23 03:04:50 2014 +0100

    Correct bug in GnuPG::Interface subclassing
    
    Extends does not support versioning in Moo (unlike Moose)
    So versioning is finally added as a prereq.
---
 dist.ini                                    | 3 +++
 lib/Crypt/OpenPGP_Applet/GnuPG/Interface.pm | 4 +++-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/dist.ini b/dist.ini
index 9af0450..6c1d773 100644
--- a/dist.ini
+++ b/dist.ini
@@ -20,6 +20,9 @@ repository.type = git
 
 [AutoPrereqs]
 
+[Prereqs]
+Moo = 0.50
+
 [RequiresExternal]
 requires = xclip
 
diff --git a/lib/Crypt/OpenPGP_Applet/GnuPG/Interface.pm 
b/lib/Crypt/OpenPGP_Applet/GnuPG/Interface.pm
index 7429f01..6f44069 100644
--- a/lib/Crypt/OpenPGP_Applet/GnuPG/Interface.pm
+++ b/lib/Crypt/OpenPGP_Applet/GnuPG/Interface.pm
@@ -1,7 +1,9 @@
 package Crypt::OpenPGP_Applet::GnuPG::Interface;
+use strict;
+use warnings;
 
 use Moo;
-extends 'GnuPG::Interface' => { -version => 0.50 };
+extends 'GnuPG::Interface';
 
 use namespace::autoclean;
 use Carp;

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/openpgp-applet.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to